%global pypi_name sphinxcontrib-svg2pdfconverter

Name:		python-%{pypi_name}
Version:	1.1.0
Release:	%mkrel 1
Summary:	Sphinx SVG to PDF Converter Extension
Group:		Development/Python
License:	BSD
URL:		https://pypi.org/project/sphinxcontrib-svg2pdfconverter/
Source0:	https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-sphinx

%description
Converts SVG images to PDF in case the builder does not support SVG images
native (e.g. LaTeX).

%package -n python3-%{pypi_name}
Summary:	Sphinx SVG to PDF Converter Extension
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	python3dist(sphinx)

%description -n python3-%{pypi_name}
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains common files.

%package -n python3-sphinxcontrib-inkscapeconverter
Summary:	Sphinx SVG to PDF Converter Extension using Inkscape
Group:		Development/Python
%{?python_provide:%python_provide python3-sphinxcontrib-inkscapeconverter}
Requires:	python3-%{pypi_name} = %{version}-%{release}
Requires:	inkscape

%description -n python3-sphinxcontrib-inkscapeconverter
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains converter using Inkscape.

%package -n python3-sphinxcontrib-rsvgconverter
Summary:	Sphinx SVG to PDF Converter Extension using libRSVG
Group:		Development/Python
%{?python_provide:%python_provide python3-sphinxcontrib-rsvgconverter}
Requires:	python3-%{pypi_name} = %{version}-%{release}
Requires:	librsvg

%description -n python3-sphinxcontrib-rsvgconverter
Converts SVG images to PDF in case the builder does not support native SVG
images (e.g. LaTeX).

This package contains converter using libRSVG.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/sphinxcontrib_svg2pdfconverter-%{version}-py?.?.egg-info
%{python3_sitelib}/sphinxcontrib*pth

%files -n python3-sphinxcontrib-inkscapeconverter
%{python3_sitelib}/sphinxcontrib/*/inkscapeconverter.*
%{python3_sitelib}/sphinxcontrib/inkscapeconverter.*

%files -n python3-sphinxcontrib-rsvgconverter
%{python3_sitelib}/sphinxcontrib/*/rsvgconverter.*.*
%{python3_sitelib}/sphinxcontrib/rsvgconverter.*
%{python3_sitelib}/sphinxcontrib/*/cairosvgconverter.*.*
%{python3_sitelib}/sphinxcontrib/cairosvgconverter.*


%changelog
* Sun Sep 13 2020 ghibo <ghibo> 1.1.0-1.mga8
+ Revision: 1625485
- Fix filelist
- Update to release 1.1.0

* Tue Feb 18 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1539783
- Mageia 8 Mass Rebuild

* Fri Dec 13 2019 daviddavid <daviddavid> 1.0.1-1.mga8
+ Revision: 1466126
- new version: 1.0.1

* Fri Sep 27 2019 daviddavid <daviddavid> 0.1.0-3.mga8
+ Revision: 1447441
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 0.1.0-2.mga8
+ Revision: 1427258
- drop python2 support

* Fri Apr 19 2019 ghibo <ghibo> 0.1.0-1.mga7
+ Revision: 1393518
- imported package python-sphinxcontrib-svg2pdfconverter


* Tue Apr 02 2019 ghibo <ghibo> 0.1.0-1.mga7
- Initial release.
